# NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
# https://openapi-generator.tech
# Do not edit the class manually.

defmodule FoyerAPI.Model.FindNearestProperties200Response do
  @moduledoc """
  
  """

  @derive [Poison.Encoder]
  defstruct [
    :bestChoice,
    :neighbors,
    :properties
  ]

  @type t :: %__MODULE__{
    :bestChoice => FoyerAPI.Model.Property.t | nil,
    :neighbors => [FoyerAPI.Model.Property.t] | nil,
    :properties => [FoyerAPI.Model.Property.t] | nil
  }
end

defimpl Poison.Decoder, for: FoyerAPI.Model.FindNearestProperties200Response do
  import FoyerAPI.Deserializer
  def decode(value, options) do
    value
    |> deserialize(:bestChoice, :struct, FoyerAPI.Model.Property, options)
    |> deserialize(:neighbors, :list, FoyerAPI.Model.Property, options)
    |> deserialize(:properties, :list, FoyerAPI.Model.Property, options)
  end
end

